import QtQuick 2.4
import QtQuick.Controls 1.6

Item {
    id: element
    width: 400
    height: 400
    property alias sliderQml: sliderQml.value
    property alias text1: text1
    property alias progressBar: progressBar

    ProgressBar {
        id: progressBar
        y: 189
        value: 50
        maximumValue: 100
        anchors.right: parent.right
        anchors.rightMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
    }

    Text {
        id: text1
        x: 34
        y: 41
        width: 339
        height: 101
        color: "#e30f0f"
        text: qsTr("Text")
        horizontalAlignment: Text.AlignHCenter
        anchors.horizontalCenter: parent.horizontalCenter
        font.pixelSize: 30
    }

    Slider {
        id: sliderQml
        y: 283
        height: 22
        value: 50
        maximumValue: 100
        anchors.right: parent.right
        anchors.rightMargin: 20
        anchors.left: parent.left
        anchors.leftMargin: 20
    }
}

/*##^##
Designer {
    D{i:1;anchors_x:100}D{i:3;anchors_x:105}
}
##^##*/
