import QtQuick 2.13
import QtQuick.Window 2.13
import QtQuick.Controls 2.2

import desDel.rerefons 1.0

ApplicationWindow {
    visible: true
    width: 640
    height: 480
    title: qsTr("Exemple Lliscant")
    RereFons{
        id: rf

        onCmptChanged: {
            //console.log(nCmpt);
            //swipeView.actualitzaBarraDeProgres(nCmpt);
        }
        onCadenaCanviada: {
            console.log("Des de QML onCadenaCanviada: "+szCadena);
            swipeView.actualitzaCadena(szCadena);
        }
    }
    SwipeView{
        id: swipeView
        anchors.fill: parent
        currentIndex: tabBar.currentIndex

        function actualitzaBarraDeProgres(n){
            l01.progressBar.value = n;
            l01.text1.text = n; // canvieu element1 per text1 a l'editor QML
        }

        function actualitzaCadena(str){
            l00.textInputTE.text = str;
        }

        Lliscant00Form{
            id: l00
            botoTramet.onClicked: {
                console.log(textInputTE.text)
                rf.szCadena = textInputTE.text;
            }
        }
        Lliscant01Form{
            id: l01

            onSliderQmlChanged: {
                var valor = parseInt(sliderQml);
                console.log("Slider QML: "+ valor);
                //swipeView.actualitzaBarraDeProgres(valor);
                rf.nSlider = valor;
            }
        }
    }
    footer: TabBar{
        id: tabBar
        currentIndex: swipeView.currentIndex

        TabButton{
            text: qsTr("Tramet")
        }
        TabButton{
            text: qsTr("Rep")
        }
    }
}
